scim::ConfigModule Class Reference
Config

The class to manipulate the config modules. More...

`#include <scim_config_module.h>`

## Public Member Functions

| ConfigModule ()
| Default constructor.
| ConfigModule (const String &name)
| Constructor.
bool | load (const String &name)
| Load a module by its name.
bool | valid () const
| Check if a module is loaded and initialized successfully.
ConfigPointer | create_config () const
| Create a configuration object from this module.

## Detailed Description

The class to manipulate the config modules.

This is a wrapper of scim::Module class, which is specially for manipulating the config modules.

## Constructor & Destructor Documentation

## ConfigModule() [1/2]

scim::ConfigModule::ConfigModule | ( |  | ) |

Default constructor.

## ConfigModule() [2/2]

scim::ConfigModule::ConfigModule | ( | const String & | name | ) |

Constructor.

Parameters

  name | - the module's name, eg. "simple".

## Member Function Documentation

## load()

bool scim::ConfigModule::load | ( | const String & | name | ) |

Load a module by its name.

Load a module into memory. If another module has been loaded into this object, then the old module will be unloaded first. If the old module is resident, false will be returned, and the old module will be untouched.

Parameters

  name | - the module's name, eg. "simple".

Returns
  true if success.

## valid()

bool scim::ConfigModule::valid | ( |  | ) | const

Check if a module is loaded and initialized successfully.

Returns
  true if a module is already loaded and initialized successfully.

## create_config()

ConfigPointer scim::ConfigModule::create_config | ( |  | ) | const

Create a configuration object from this module.

The type of newly created configuration object must be a derived class of scim::ConfigBase.

Returns
  a smart pointer points to the configuration object.

The documentation for this class was generated from the following file:

- scim_config_module.h